Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatInviteLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatInviteLinkInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatInviteLinkInfo extends TdApi.Object
Contains information about a chat invite link.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`accessibleFor`
If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
`long`
`chatId`
Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
`static final int`
`CONSTRUCTOR`
`boolean`
`createsJoinRequest`
True, if the link only creates join request.
`String`
`description`
Chat description.
`boolean`
`isPublic`
True, if the chat is a public supergroup or channel, i.e.
`int`
`memberCount`
Number of members in the chat.
`long[]`
`memberUserIds`
User identifiers of some chat members that may be known to the current user.
`TdApi.ChatPhotoInfo`
`photo`
Chat photo; may be null.
`String`
`title`
Title of the chat.
`TdApi.ChatType`
`type`
Type of the chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatInviteLinkInfo()`
Contains information about a chat invite link.
`ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic)`
Contains information about a chat invite link.
`ChatInviteLinkInfo(DataInput input)`
Contains information about a chat invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the invite link; 0 if the user has no access to the chat before joining.

### accessibleFor

public int accessibleFor
If non-zero, the amount of time for which read access to the chat will remain available, in seconds.

### type

public TdApi.ChatType type
Type of the chat.

### title

public String title
Title of the chat.

### photo

public TdApi.ChatPhotoInfo photo
Chat photo; may be null.

### description

public String description
Chat description.

### memberCount

public int memberCount
Number of members in the chat.

### memberUserIds

public long[] memberUserIds
User identifiers of some chat members that may be known to the current user.

### createsJoinRequest

public boolean createsJoinRequest
True, if the link only creates join request.

### isPublic

public boolean isPublic
True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatInviteLinkInfo

public ChatInviteLinkInfo()
Contains information about a chat invite link.

### ChatInviteLinkInfo

public ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic)
Contains information about a chat invite link.

Parameters:
  `chatId` - long Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
  `accessibleFor` - int If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
  `type` - ChatType Type of the chat.
  `title` - String Title of the chat.
  `photo` - ChatPhotoInfo Chat photo; may be null.
  `description` - String Chat description.
  `memberCount` - int Number of members in the chat.
  `memberUserIds` - long[] User identifiers of some chat members that may be known to the current user.
  `createsJoinRequest` - boolean True, if the link only creates join request.
  `isPublic` - boolean True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

### ChatInviteLinkInfo

public ChatInviteLinkInfo(DataInput input) throws IOException
Contains information about a chat invite link.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`